Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.util
Class UnicodeUtil

`java.lang.Object
oracle.xml.util.UnicodeUtil`

public class UnicodeUtil
extends java.lang.Object

Constructor Summary
`UnicodeUtil()`

Method Summary
`static java.lang.String` | `normalize2RFC2396(java.lang.String s)` normalize a string to RFC 2396 standards
`static char[]` | `normalizeUnicode(char[] ch, int start, int length, int mode)` normalize unicode char array based on the mode
`static java.lang.String` | `normalizeUnicode(java.lang.String s, int mode)` normalize unicode string based on the mode
`static char[]` | `normalizeUnicodeNFC(char[] ch, int start, int length)` normalize unicode char array based on NFC
`static java.lang.String` | `normalizeUnicodeNFC(java.lang.String s)` normalize unicode string based on NFC

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnicodeUtil

    public UnicodeUtil()

Method Detail

### normalizeUnicodeNFC

    public static java.lang.String normalizeUnicodeNFC(java.lang.String s)

  normalize unicode string based on NFC
  Parameters:
    `s` - - input string
  Returns:
    normalized string

### normalizeUnicodeNFC

    public static char[] normalizeUnicodeNFC(char[] ch,
                                             int start,
                                             int length)

  normalize unicode char array based on NFC
  Parameters:
    `ch` - - input char array
    `start` - - start position
    `length` - - total length
  Returns:
    normalized char array

### normalizeUnicode

    public static java.lang.String normalizeUnicode(java.lang.String s,
                                                    int mode)

  normalize unicode string based on the mode
  Parameters:
    `s` - - input string
    `mode` - - normalization mode
  Returns:
    normalized string

### normalizeUnicode

    public static char[] normalizeUnicode(char[] ch,
                                          int start,
                                          int length,
                                          int mode)

  normalize unicode char array based on the mode
  Parameters:
    `ch` - - input char array
    `start` - - start position
    `length` - - total length
    `mode` - - normalization mode
  Returns:
    normalized char array

### normalize2RFC2396

    public static java.lang.String normalize2RFC2396(java.lang.String s)

  normalize a string to RFC 2396 standards
  Parameters:
    `s` - - input string
  Returns:
    normalized string following RFC 2396 standards

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database XML Java API Reference 10g Release 2 (10.2) B14293-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.